Package tigase.xmpp

# Class XMPPProcessorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
tigase.xmpp.XMPPException
tigase.xmpp.XMPPProcessorException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ComponentException`

public class XMPPProcessorException extends XMPPException
Created by bmalkow on 18.04.2017.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMPPProcessorException(Authorization errorCondition)`
  `XMPPProcessorException(Authorization errorCondition, String text)`
  `XMPPProcessorException(Authorization errorCondition, String text, String message)`
  `XMPPProcessorException(Authorization errorCondition, String text, String message, Throwable cause)`
  `XMPPProcessorException(Authorization errorCondition, String text, Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `Authorization`
  `getErrorCondition()`
  `protected String`
  `getErrorMessagePrefix()`
  `String`
  `getMessage()`
  `String`
  `getMessageWithPosition()`
  `String`
  `getName()`
  `String`
  `getText()`
  `String`
  `getType()`
  `Packet`
  `makeElement(Packet packet, boolean insertOriginal)`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XMPPProcessorException

    public XMPPProcessorException(Authorization errorCondition)

  - ### XMPPProcessorException

    public XMPPProcessorException(Authorization errorCondition, String text)
    Parameters:
      `text` - human readable message will be send to client

  - ### XMPPProcessorException

    public XMPPProcessorException(Authorization errorCondition, String text, Throwable cause)

  - ### XMPPProcessorException

    public XMPPProcessorException(Authorization errorCondition, String text, String message)
    Parameters:
      `message` - exception message for logging
      `text` - human readable message will be send to client

  - ### XMPPProcessorException

    public XMPPProcessorException(Authorization errorCondition, String text, String message, Throwable cause)

- ## Method Details

  - ### getCode

    public String getCode()
    Returns:
      Returns the code.

  - ### getErrorCondition

    public Authorization getErrorCondition()

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`

  - ### getMessageWithPosition

    public String getMessageWithPosition()

  - ### getName

    public String getName()
    Returns:
      Returns the name.

  - ### getText

    public String getText()

  - ### getType

    public String getType()
    Returns:
      Returns the type.

  - ### makeElement

    public Packet makeElement(Packet packet, boolean insertOriginal) throws PacketErrorTypeException
    Throws:
      `PacketErrorTypeException`

  - ### getErrorMessagePrefix

    protected String getErrorMessagePrefix()